"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getTypeOf = getTypeOf;
exports.isJsFile = exports.isDirRelatedCss = exports.isCssFile = exports.isCss = void 0;

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const isCss = filename => _path.default.extname(filename) === '.css';

exports.isCss = isCss;

const isDirRelatedCss = filename => filename.includes('[dir]');

exports.isDirRelatedCss = isDirRelatedCss;

const isJsFile = file => /\.js$/.test(file);

exports.isJsFile = isJsFile;

const isCssFile = file => /\.css$/.test(file);

exports.isCssFile = isCssFile;

function getTypeOf(value) {
  return Object.prototype.toString.call(value).split(/\s/)[1].replace(/\]/, '').toLowerCase();
}